Method: courses.courseWork.addOnAttachments.studentSubmissions.list

Returns a list of student submissions that the requester is permitted to view.

This method returns the following error codes:

  • PERMISSION_DENIED for access errors.
  • INVALID_ARGUMENT if the request is malformed.
  • NOT_FOUND if one of the identified resources does not exist.

HTTP request

GET https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}/studentSubmissions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
courseId

string

Required. Identifier of the course.

itemId

string

Required. Identifier of the CourseWork under which the attachment is attached.

attachmentId

string

Required. Identifier of the add-on attachment.

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of submissions to return. Zero or unspecified indicates that the server may assign a maximum.

The server may return fewer than the specified number of results.

pageToken

string

Optional. A page token, received from a previous studentSubmissions.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to studentSubmissions.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response when listing student submissions for an add-on attachment.

If successful, the response body contains data with the following structure:

JSON representation
{
  "addOnAttachmentStudentSubmissions": [
    {
      object (AddOnAttachmentStudentSubmission)
    }
  ],
  "nextPageToken": string
}
Fields
addOnAttachmentStudentSubmissions[]

object (AddOnAttachmentStudentSubmission)

Add-on attachment student submissions that match the request.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/classroom.addons.student
  • https://www.googleapis.com/auth/classroom.addons.teacher

For more information, see the OAuth 2.0 Overview.